﻿using RPG.GameCore.Excel.Attributes;

namespace RPG.GameCore.Excel;

[ExcelTable("AvatarExcelTable.json", ExcelType.Avatar)]
public class AvatarExcelRow : ExcelRow
{
    public override uint Id => AvatarID;

    public uint AvatarID { get; set; }
    public uint AdventurePlayerID { get; set; }
    public string AvatarVOTag { get; set; } = string.Empty;
    public uint Rarity { get; set; }
    public string JsonPath { get; set; } = string.Empty;
    public uint NatureID { get; set; }
    public string DamageType { get; set; } = string.Empty;
    public SPValue SPNeed { get; set; } = new();
    public uint ExpGroup { get; set; }
    public uint MaxPromotion { get; set; }
    public uint MaxRank { get; set; }
    public List<string> RankUpCostList { get; set; } = [];
    public uint MaxRankRepay { get; set; }
    public List<uint> SkillList { get; set; } = [];
    public string AvatarBaseType { get; set; } = string.Empty;
    public string DefaultAvatarImagePath { get; set; } = string.Empty;
    public string DefaultAvatarModelPath { get; set; } = string.Empty;
    public string DefaultAvatarHeadIconPath { get; set; } = string.Empty;
    public string DefaultAvatarHalfImagePath { get; set; } = string.Empty;
    public string AvatarSideIconPath { get; set; } = string.Empty;
    public string ActionAvatarHeadIconPath { get; set; } = string.Empty;
    public string DefaultAvatarQHeadIconPath { get; set; } = string.Empty;
    public string AvatarBaseTypeIconPath { get; set; } = string.Empty;
    public string AvatarDialogHalfImagePath { get; set; } = string.Empty;
    public string UltraSkillCutInPrefabPath { get; set; } = string.Empty;
    public string UIAvatarModelPath { get; set; } = string.Empty;
    public string ManikinJsonPath { get; set; } = string.Empty;
    public string AIPath { get; set; } = string.Empty;
    public string SkilltreePrefabPath { get; set; } = string.Empty;
    public bool Release { get; set; }
    public string SideAvatarHeadIconPath { get; set; } = string.Empty;
    public string WaitingAvatarHeadIconPath { get; set; } = string.Empty;
    public string AvatarCutinImgPath { get; set; } = string.Empty;
    public string AvatarCutinBgImgPath { get; set; } = string.Empty;

    public class SPValue
    {
        public long RawValue { get; set; }
    }
}
