﻿using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using RPG.GameCore.Excel;
using RPG.Services.Core.Extensions;
using RPG.Services.Gameserver.Extensions;
using RPG.Services.Gameserver.Modules;
using RPG.Services.Gameserver.Network.Command;

namespace RPG.Services.Gameserver;

internal static class Program
{
    private static async Task Main(string[] args)
    {
        Console.Title = "Snowflake | Gameserver";

        HostApplicationBuilder builder = Host.CreateApplicationBuilder(args);

        builder.SetupRPGService<RPGGameserver, GameserverCommandHandler>();
        builder.Services.AddModules()
                        .AddScoped<ModuleManager>()
                        .AddSingleton<ExcelTables>();

        await builder.Build().RunAsync();
    }
}
