﻿using Microsoft.AspNetCore.Http.HttpResults;
using RPG.Services.SDK.Models;
using RPG.Services.SDK.Models.Region;

namespace RPG.Services.SDK.Handlers;

public static class DispatchHandler
{
    private const string QueryGatewayUrl = "http://127.0.0.1:8888/query_gateway";

    public static JsonHttpResult<QueryDispatchHttpRsp> OnQueryDispatch()
    {
        return TypedResults.Json(new QueryDispatchHttpRsp
        {
            Retcode = 0,
            TopServerRegionName = "Snowflake",
            RegionList = 
            [
                new RegionInfo
                {
                    EnvType = "2",
                    DispatchUrl = QueryGatewayUrl,
                    Name = "Snowflake",
                    Title = "Snowflake"
                }
            ]
        });
    }

    public static JsonHttpResult<QueryGatewayHttpRsp> OnQueryGateway()
    {
        return TypedResults.Json(new QueryGatewayHttpRsp
        {
            Retcode = 0,
            Message = "OK",
            AsbRelogin = 1,
            RegionName = "Snowflake",
            Gateway = new GatewayInfo
            {
                Ip = "127.0.0.1",
                Port = 20301
            },
            Ext = new ExtAssetInfo
            {
                UpdateStreamingAsb = "0",
                DataUseAssetBundle = "0",
                ForbidRecharge = "0",
                ResUseAssetBundle = "0"
            }
        });
    }
}
