﻿using System.Text.Json.Serialization;

namespace RPG.Services.SDK.Models.Auth;

public record GranterVerificationRsp
{
    [JsonPropertyName("retcode")]
    public required int Retcode { get; init; }

    [JsonPropertyName("message")]
    public required string Message { get; init; }

    [JsonPropertyName("data")]
    public GranterData? Data { get; init; }

    public record GranterData
    {
        [JsonPropertyName("combo_id")]
        public required int ComboId { get; init; }

        [JsonPropertyName("open_id")]
        public required int OpenId { get; init; }

        [JsonPropertyName("combo_token")]
        public required string ComboToken { get; init; }

        [JsonPropertyName("heartbeat")]
        public bool Heartbeat { get; init; }

        [JsonPropertyName("account_type")]
        public required int AccountType { get; init; }

        [JsonPropertyName("data")]
        public GuestLoginData Data { get; } = new();
    }

    public record GuestLoginData
    {
        [JsonPropertyName("guest")]
        public bool Guest { get; init; }
    }
}
