﻿using RPG.Services.SDK.Handlers;

namespace RPG.Services.SDK;

internal static class Program
{
    private static async Task Main(string[] args)
    {
        Console.Title = "Snowflake | SDK";

        WebApplicationBuilder builder = WebApplication.CreateBuilder(args);

        builder.WebHost.UseUrls("http://*:8888");
        WebApplication app = builder.Build();

        app.MapGet("/query_dispatch", DispatchHandler.OnQueryDispatch);
        app.MapGet("/query_gateway", DispatchHandler.OnQueryGateway);

        app.MapPost("/account/risky/api/check", AuthHandler.OnRiskyApiCheck);
        app.MapPost("/{productName}/mdk/shield/api/login", AuthHandler.LoginWithPassword);
        app.MapPost("/{productName}/combo/granter/login/v2/login", AuthHandler.OnGranterVerification);

        await app.RunAsync();
    }
}
